
<template>
  <div class="fonts">
    <span><i :class="getIcon" :style="'font-size:'+getSize" />{{ content }}</span>
  </div>
</template>

<script>

export default {
  components: {
  },
  props: {
    content: {
      type: String,
      default: ''
    },
    icons: {
      type: String,
      default: ''
    },
    fontsize: {
      type: String,
      default: '14'
    }
  },
  computed: {
    getIcon() {
      return 'iconfont ' + this.icons
    },
    getSize() {
      return this.fontsize + 'px'
    }
  },
  methods: {
  }
}
</script>
<style src="./index.css"></style>
<style scoped>
  .fonts{
    color: black;
    font-size: 13px;
  }
</style>
